> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> Retrieve transaction history for a stock token

Returns a paginated list of transactions for a stock token, optionally filtered by transaction type.

## Path Parameters

<ParamField path="tokenAddress" type="string" required>
  Address of the stock token contract.
</ParamField>

## Query Parameters

<ParamField query="type" type="string">
  Filter by transaction type (e.g., `issue`, `redeem`, `transfer`, `freeze`).
</ParamField>

<ParamField query="limit" type="integer" default="50">
  Maximum number of transactions to return. Capped at 200.
</ParamField>

<ParamField query="offset" type="integer" default="0">
  Number of records to skip for pagination.
</ParamField>

## Response Fields

<ResponseField name="success" type="boolean">Request status.</ResponseField>

<ResponseField name="data" type="object[]">
  Array of transaction records.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.trusset.org/stocks/api/fetch/transactions/0x1234...?type=issue&limit=20" \
    -H "X-API-Key: trusset_abc123xy_secret..."
  ```

  ```typescript TypeScript theme={null}
  const response = await fetch(
    `https://api.trusset.org/stocks/api/fetch/transactions/${tokenAddress}?type=issue&limit=20`,
    {
      headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
    }
  );
  const { data } = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": [
      {
        "transactionHash": "0xabc123...",
        "type": "issue",
        "from": "0x0000000000000000000000000000000000000000",
        "to": "0xAbC123dEf456789012345678901234567890AbCd",
        "amount": "1000",
        "timestamp": "2025-06-15T12:00:00.000Z"
      }
    ],
    "metadata": {
      "requestId": "550e8400-e29b-41d4-a716-446655440000",
      "timestamp": "2025-06-15T12:00:00.000Z",
      "instanceId": "inst_abc123"
    }
  }
  ```
</ResponseExample>
